Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class CardTransaction1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.CardTransaction1Choice

    public class CardTransaction1Choice
    extends java.lang.Object

Java class for CardTransaction1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardTransaction1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Aggtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardAggregated1"/>
               <element name="Indv" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardIndividualTransaction1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CardAggregated1` `aggtd`
`protected CardIndividualTransaction1` `indv`

### Constructor Summary

Constructors
`CardTransaction1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CardAggregated1` `getAggtd()` Gets the value of the aggtd property.
`CardIndividualTransaction1` `getIndv()` Gets the value of the indv property.
`void` `setAggtd​(CardAggregated1 value)` Sets the value of the aggtd property.
`void` `setIndv​(CardIndividualTransaction1 value)` Sets the value of the indv property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### aggtd

    protected CardAggregated1 aggtd

#### indv

    protected CardIndividualTransaction1 indv

### Constructor Detail

#### CardTransaction1Choice

    public CardTransaction1Choice()

### Method Detail

#### getAggtd

    public CardAggregated1 getAggtd()

Gets the value of the aggtd property.

Returns:
  possible object is `CardAggregated1`

#### setAggtd

    public void setAggtd​(CardAggregated1 value)

Sets the value of the aggtd property.

Parameters:
  `value` - allowed object is `CardAggregated1`

#### getIndv

    public CardIndividualTransaction1 getIndv()

Gets the value of the indv property.

Returns:
  possible object is `CardIndividualTransaction1`

#### setIndv

    public void setIndv​(CardIndividualTransaction1 value)

Sets the value of the indv property.

Parameters:
  `value` - allowed object is `CardIndividualTransaction1`